#ifndef prototype1_src_l1_5_anne_lucy_h
#define prototype1_src_l1_5_anne_lucy_h

#include "../codegen/buff_rbtree_set_map_template_inst.h"

void generate_l1_5_lucy_headers(){
    SpanU8 l = cstr("l1_5"), ns = cstr("lucy");
    mkdir_nofail("l1_5/eve/lucy");
    generate_buf_rbtree_Map_templ_inst_eve_header(l, ns, (map_instantiation_op){
        .K = cstr("U32"), .k_integer = true, .V = cstr("LucyStoredGlyph"), .v_primitive = true});
    generate_rbtree_Map_templ_inst_eve_header(l, ns, (map_instantiation_op){
        .K = cstr("U32"), .k_integer = true, .V = cstr("LucyFaceFixedSize")}, true);

}

#endif